File libotf.changes of Package libotf

-------------------------------------------------------------------
Mon Feb 13 10:49:07 UTC 2012 - coolo@suse.com

- patch license to follow spdx.org standard

-------------------------------------------------------------------
Sun Nov 20 06:12:37 UTC 2011 - coolo@suse.com

- add libtool as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Tue Oct  4 20:13:05 UTC 2011 - coolo@suse.com

- remove default requires from baselibs.conf

-------------------------------------------------------------------
Thu Aug  4 12:47:30 CEST 2011 - tiwai@suse.de

- Fix baselibs.conf to pick up libotf0 instead of libotf

-------------------------------------------------------------------
Wed Oct 27 20:35:42 UTC 2010 - mrdocs@opensuse.org

-fix some rpmlint warnings and run spec cleaner on the spec

-------------------------------------------------------------------
Wed Oct 27 20:17:53 UTC 2010 - mrdocs@opensuse.org

- updated to version 0.9.12
  *Bug fixes:
  * src/otfopen.c (OTF_check_features): If language is specified but
   not found, return 0 instead of using the default langsys.
  * src/internal.h: Include alloca.h if available.
  * example/otftobdf.c: Include alloca.h if available.
  * example/otfview.c: Include alloca.h if available.
  * example/otflist.c: Include alloca.h if available. 
  * src/otfopen.c (OTF_check_features): Even if no feature is
    specified, check script support.

-------------------------------------------------------------------
Thu Apr 22 17:11:06 CEST 2010 - tiwai@suse.de

- updated to version 0.9.11:
  * New OTF_* functions required for m17n-lib 1.6.0.
  * Bug fixes
- Split libotf0 sub-package to follow shlib policy

-------------------------------------------------------------------
Thu Dec 17 20:48:50 CET 2009 - jengelh@medozas.de

- add baselibs.conf as a source

-------------------------------------------------------------------
Tue Mar  3 22:29:54 CET 2009 - crrodriguez@suse.de

- remove static libraries and "la" files 

-------------------------------------------------------------------
Fri Oct 31 16:30:36 CET 2008 - schwab@suse.de

- Don't disable strict aliasing.

-------------------------------------------------------------------
Fri Apr 18 23:27:52 CEST 2008 - schwab@suse.de

- Update to libotf 0.9.7.
  * src/otfdrive.c (gstring_subst): If a glyph is changed, set the
  character code to 0, and update GlyphClass.
  * example/otfdump.c (dump_chain_class_set_list): Ignore an element
  whose offset is zero.
  * src/otfdrive.c (lookup_gpos): Ignore mark glyphs while
  processing GPOS_MarkBase1.
  * src/otfdrive.c (lookup_gpos): Fix handling of IGNORED_GLYPH.
  * src/otfdrive.c (gstring_subst): If otf->cmap is NULL, set
  character code of a glyph to 0.
  (OTF_drive_gsub): If otf->cmap is NULL, try to load it.
- added baselibs.conf to build biarch compat library

-------------------------------------------------------------------
Wed Aug 01 20:48:23 CEST 2007 - mfabian@suse.de

- update to 0.9.6:
  • src/otfdrive.c (gstring_subst): Remove a glyph if it is
   ignored because of 0 glyph ID.
- added ldconfig to post scripts.

-------------------------------------------------------------------
Tue Jan 09 23:12:49 CET 2007 - mfabian@suse.de

- update to 0.9.5.20070109:
  make it possible to link with C++ programs
  (Ed Trager, Kenichi Handa).

-------------------------------------------------------------------
Tue Jan 09 22:35:47 CET 2007 - mfabian@suse.de

- update to 0.9.5:
  • New function OTF_open_ft_face() can be used to process a font
    already opened by FreeType library.
  • The example program `otfview' accept the second argument
    INDEX.

-------------------------------------------------------------------
Mon Oct 30 16:40:14 CET 2006 - meissner@suse.de

- use RPM_OPT_FLAGS correctly, require freetype2-devel in -devel.

-------------------------------------------------------------------
Fri Mar 03 14:33:02 CET 2006 - mfabian@suse.de

- Bugzilla #154974: update to 0.9.4.
  We have updated m17n-lib to 1.3.0.20060113. This version can
  only use libotf >= 0.9.4. It won't link against libotf 0.9.3.
  In order not to loose the OpenType support in m17n-lib, we
  should update libotf as well. 

-------------------------------------------------------------------
Wed Jan 25 21:37:39 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Tue Dec 28 12:09:22 CET 2004 - mfabian@suse.de

- update to 0.9.3.

-------------------------------------------------------------------
Mon Aug 16 15:37:04 CEST 2004 - mfabian@suse.de

- new package: libotf, version 0.9.2.